summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Vijay Marcel2022-09-09 06:01:19 +0200
committer Dave Woodfall2022-09-09 06:01:19 +0200
commit470eb5209669d03487944a9530d7410d3facca92 (patch)
tree42206cc5b85439c6994019116891fcdf945e5627 /multimedia
parentea5fd4180ba5a6dcddf3c23918c0b75abb9f50c4 (diff)
downloadslackbuilds-470eb5209669d03487944a9530d7410d3facca92.tar.gz
multimedia/winff: Added (GUI for FFmpeg)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/winff/README32
-rw-r--r--multimedia/winff/doinst.sh13
-rw-r--r--multimedia/winff/slack-desc19
-rw-r--r--multimedia/winff/winff.SlackBuild147
-rw-r--r--multimedia/winff/winff.desktop9
-rw-r--r--multimedia/winff/winff.info10
6 files changed, 230 insertions, 0 deletions
diff --git a/multimedia/winff/README b/multimedia/winff/README
new file mode 100644
index 0000000000..28b41f7f77
--- /dev/null
+++ b/multimedia/winff/README
@@ -0,0 +1,32 @@
+WinFF is a GUI for the command line video converter, FFMPEG. It will
+convert most any video file that FFmpeg will convert. WinFF does
+multiple files in multiple formats at one time. You can for example
+convert mpeg's, flv's, and mov's, all into avi's all at once.
+
+lazarus is just a build-time dependency.
+
+NOTE:
+If you have a previous ~/.winff directory you might want to
+remove it or your presets might not be updated.
+
+WinFF is no longer maintained by the original author.It is currently
+maintained by Debian maintainer Paul Gevers and the website winff.org
+has been hijacked see the following post for details.
+https://github.com/WinFF/winff/issues/250
+
+I've patched link for the FFmpeg Windows build website in the about
+section to point it to correct website as mentioned in the FFmpeg
+Website. see the following link for details.
+https://ffmpeg.org/download.html#build-windows
+
+The Launchpad link no longer works and i've patched it to
+point to the winff debian maintainer's [Paul Gevers] page.
+I've made sure other websites link to https version.
+
+There was also an issue with opening the documetation in slackware,
+The paths to the documetation is hardcoded in the source file.
+I've patched it to look in the /usr/doc/$PRGNAM-$VERSION folder
+
+The default pdf viewer is xpdf. It is hardcoded in the
+source file.If Xpdf is not present in the system it will
+not open pdf documentation.
diff --git a/multimedia/winff/doinst.sh b/multimedia/winff/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/multimedia/winff/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/winff/slack-desc b/multimedia/winff/slack-desc
new file mode 100644
index 0000000000..36b0c2a1d9
--- /dev/null
+++ b/multimedia/winff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+winff: winff (GUI for FFmpeg)
+winff:
+winff: Winff is GUI for FFmpeg. It will convert most Video and
+winff: Audio formats and can also convert many files at one time.
+winff:
+winff:
+winff: Homepage:https://github.com/WinFF/winff
+winff:
+winff:
+winff:
+winff:
diff --git a/multimedia/winff/winff.SlackBuild b/multimedia/winff/winff.SlackBuild
new file mode 100644
index 0000000000..3ba18da674
--- /dev/null
+++ b/multimedia/winff/winff.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+
+# Slackware build script for winff
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=winff
+VERSION=${VERSION:-20220903_8e4491b}
+LONGNAM=${LONGNAM:-8e4491be149031916053378d859ce156cf9b43d3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+rm -rf $PRGNAM-$LONGNAM
+tar xvf $CWD/$PRGNAM-$LONGNAM.tar.gz
+cd $PRGNAM-$LONGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+echo "Replacing Dead Links, See README for Details"
+
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit1.pas
+sed -i 's+http://www.winff.org/forums/+https://github.com/WinFF/winff/issues+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit1.pas
+sed -i 's+'http://www.winff.org'+'https://github.com/WinFF/winff'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit1.pas
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit2.pas
+sed -i 's+'http://www.winff.org'+'https://github.com/WinFF/winff'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.lfm
+sed -i 's#Kyle Schwarz#Gyan Doshi#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.lfm
+sed -i 's+'http://ffmpeg.org'+'https://www.ffmpeg.org'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.lfm
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's#'https://launchpad.net/~paul-climbing/+archive/ppa/'#'https://tracker.debian.org/pkg/winff'#g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://ffmpeg.org'+'https://www.ffmpeg.org'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://www.biggmatt.com'+'https://www.biggmatt.com/p/winff.html'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://www.bandshed.net/'+'https://www.bandshed.net/'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://istoff.blogspot.com'+'https://istoff.blogspot.com/'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://ffmpeg.zeranoe.com'+'https://www.gyan.dev/ffmpeg/'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://www.winff.org'+'https://github.com/WinFF/winff'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's+'http://ffmpeg.zeranoe.com/builds/'+'https://www.gyan.dev/ffmpeg/builds/'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit3.pas
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit4.pas
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit5.pas
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit6.pas
+sed -i 's+"WinFF.org"+"github.com/WinFF/winff"+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/winff.lpi
+sed -i 's#http://winff.org#https://github.com/WinFF/winff#' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/winff.lpr
+
+echo "Correcting the hardcoded Documentation location for Slackware"
+
+sed -i 's+'/usr/share/doc/winff/WinFF.'+'/usr/doc/winff-20220903_8e4491b/WinFF.'+g' $TMP/$PRGNAM-$LONGNAM/$PRGNAM/unit1.pas
+
+echo "Building WinFF"
+
+lazbuild --lazarusdir=/usr/share/lazarus --cpu=$ARCH -B $TMP/$PRGNAM-$LONGNAM/$PRGNAM/winff.lpr
+
+install -m 0755 -D $TMP/$PRGNAM-$LONGNAM/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -pv $PKG/usr/share/winff
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/languages $PKG/usr/share/winff/
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/presets.xml $PKG/usr/share/winff/
+install -m 0644 $TMP/$PRGNAM-$LONGNAM/$PRGNAM/scripts/check_presets.sh $PKG/usr/share/winff/
+
+mkdir -pv $PKG/usr/man/man1
+gzip -c9 $TMP/$PRGNAM-$LONGNAM/$PRGNAM/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+install -m 0644 -D $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+install -m 0644 -D $TMP/$PRGNAM-$LONGNAM/$PRGNAM/winff-icons/48x48/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/README-Presets.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$LONGNAM/$PRGNAM/docs/*.{pdf,txt} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -pv $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/winff/winff.desktop b/multimedia/winff/winff.desktop
new file mode 100644
index 0000000000..e18ec7697a
--- /dev/null
+++ b/multimedia/winff/winff.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=winff
+Comment=GUI for FFmpeg
+Exec=/usr/bin/winff
+Icon=/usr/share/pixmaps/winff.png
+Terminal=false
+Type=Application
+Categories=AudioVideo;AudioVideoEditing
+GenericName=Video Converter
diff --git a/multimedia/winff/winff.info b/multimedia/winff/winff.info
new file mode 100644
index 0000000000..a71dbf0369
--- /dev/null
+++ b/multimedia/winff/winff.info
@@ -0,0 +1,10 @@
+PRGNAM="winff"
+VERSION="20220903_8e4491b"
+HOMEPAGE="https://github.com/WinFF/winff"
+DOWNLOAD="https://github.com/WinFF/winff/archive/8e4491b/winff-8e4491be149031916053378d859ce156cf9b43d3.tar.gz"
+MD5SUM="25bb9853f870c827ef80f2efba1f7219"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lazarus"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"